org.tmatesoft.svn.core.wc

## Interface ISVNConflictHandler

    public interface ISVNConflictHandler

The ISVNConflictHandler interface defines a callback for resolving conflicts during the application of a tree delta to a working copy. Implementations of this callback are free to present the conflict using any user interface. This may include simple contextual conflicts in a file's text or properties, or more complex 'tree'-based conflcts related to obstructed additions, deletions, and edits. The callback implementation is free to decide which sorts of conflicts to handle; it's also free to decide which types of conflicts are automatically resolvable and which require user interaction.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

### Method Summary

Methods
`SVNConflictResult` `handleConflict(SVNConflictDescription conflictDescription)` Handles the conflict given the conflict description `conflictDescription` and returns `SVNConflictResult.getConflictChoice()` values of `SVNConflictChoice.MINE_CONFLICT` and `SVNConflictChoice.THEIRS_CONFLICT` are not legal for conflicts in binary files or properties.

### Method Detail

#### handleConflict

    SVNConflictResult handleConflict(SVNConflictDescription conflictDescription)
                                     throws SVNException

Handles the conflict given the conflict description `conflictDescription` and returns

`SVNConflictResult.getConflictChoice()` values of `SVNConflictChoice.MINE_CONFLICT` and `SVNConflictChoice.THEIRS_CONFLICT` are not legal for conflicts in binary files or properties.

Parameters:
  `conflictDescription` - describes the exact nature of the conflict, and provides information to help resolve it
Returns:
  result for the conflict described by `conflictDescription`
Throws:
  `SVNException`